Skip to main content
Resource Center/Resource Pool/Volume Operations
PUTVolume OperationsSince 2.2SynchronousAuth Required

ResizeRootVolume

ResizeRootVolume

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • resizerootvolumeObjectRequired

    resizerootvolume request body object.

    • sizelongRequired

      The new size.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVolumeInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • primaryStorageUuidStringRequired

      The primary storage UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • diskOfferingUuidStringRequired

      The disk offering UUID.

    • rootImageUuidStringRequired

      根镜像UUID。

    • installPathStringRequired

      安装路径。

    • typeStringRequired

      类型。

    • formatStringRequired

      数据格式或导出格式。

    • sizeLongRequired

      返回记录数。

    • actualSizeLongRequired

      实际大小。

    • deviceIdIntegerRequired

      设备ID。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • isShareableBooleanRequired

      是否可分享。

Endpoint

PUT/zstack/v1/volumes/resize/{uuid}/actions

/zstack/v1/volumes/resize/{uuid}/actions

Operation ID

ResizeRootVolume

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/volumes/resize/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"resizerootvolume":{"size":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "f6ace13363934d2d9a2dc29c53a83bc4", "name": "test-volume", "primaryStorageUuid": "a849a9d7cf864b95a4a1223db572a73c", "vmInstanceUuid": "d05fda61030645c293688fd2e67b6881", "diskOfferingUuid": "f31553ca15f4495cbd7f3954426f9f1f", "rootImageUuid": "5ef070a672ea48e583c8f4fd6441a58c", "installPath": "/Cloud_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-f6ace13363934d2d9a2dc29c53a83bc4/f6ace13363934d2d9a2dc29c53a83bc4.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Sep 22, 2017 12:24:45 PM", "lastOpDate": "Sep 22, 2017 12:24:45 PM" } }

Change History

This API has no change history records yet.

View all change history